E-MailRelay

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
GSmtp::ServerProtocol::Config Struct Reference

A structure containing configuration parameters for ServerProtocol. More...

`#include <gserverprotocol.h>`

## Public Member Functions
| Config (bool with_vrfy, unsigned int filter_timeout, size_t max_size, bool authentication_requires_encryption, bool mail_requires_encryption, bool advertise_tls_if_possible)

## Public Attributes
bool | with_vrfy
unsigned int | filter_timeout
size_t | max_size
bool | authentication_requires_encryption
bool | mail_requires_encryption
bool | disconnect_on_max_size
bool | advertise_tls_if_possible

## Detailed Description

A structure containing configuration parameters for ServerProtocol.

Definition at line 84 of file gserverprotocol.h.

The documentation for this struct was generated from the following files:

- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_emailrelay/emailrelay-2.0.1/src/gsmtp/gserverprotocol.h
- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_emailrelay/emailrelay-2.0.1/src/gsmtp/gserverprotocol.cpp